Mixedbread

Abort Multipart Upload

POST/v1/files/uploads/{upload_id}/abort

AuthorizationLink to section

Authorizationstringrequired

Bearer token for API authentication. Format: `Bearer YOUR_API_KEY`

Path ParametersLink to section

upload_idstring(uuid)required

The ID of the multipart upload to abort

Response BodyLink to section

idstringrequired

The ID of the aborted upload

deletedbooleanrequired

Whether the upload was successfully deleted

objectstringrequired

The object type

Request
POST/v1/files/uploads/{upload_id}/abort
from mixedbread import Mixedbread

mxbai = Mixedbread(api_key="YOUR_API_KEY")

res = mxbai.files.uploads.abort("a1b2c3d4-e5f6-7890-abcd-ef1234567890")

print(res)
Response
JSON
{
  "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "deleted": true,
  "object": "file"
}
Last updated: April 7, 2026